Subject: Re: bug#9323: Non-recursive make build systems and M-x compile

From: Stefan Monnier <[email-masked]>
Date: Thu, 18 Aug 2011 23:23:46 -0400

> If I change the build command to make -C .., then Emacs gives errors
> in the compile buffer pointing to files like "src/foo.c", but can't
> follow those links, I presume because it considers the current dir for
> the build to be "src".

compile.el has ad-hoc support to try and recognize "cd ..; <foo>" and
similar (with more dot-dots).

        Stefan